Loading...
Searching...
No Matches
thread.h File Reference

ARM64-specific thread related definitions. More...

Go to the source code of this file.

## Enumerations

enum | L4_thread_ex_regs_flags_arm64 { L4_THREAD_EX_REGS_ARM64_SET_EL_MASK = 0x3 << 24 , L4_THREAD_EX_REGS_ARM64_SET_EL_KEEP = 0x0 << 24 , L4_THREAD_EX_REGS_ARM64_SET_EL_EL0 = 0x1 << 24 , L4_THREAD_EX_REGS_ARM64_SET_EL_EL1 = 0x2 << 24 }
| Arm64 specific L4::Thread::ex_regs() flags. More...

## Functions

l4_msgtag_t | l4_thread_arm_set_tpidruro (l4_cap_idx_t thread, l4_addr_t tpidruro) L4_NOTHROW
| Set the TPIDRURO thread specific register.

## Detailed Description

ARM64-specific thread related definitions.

Definition in file thread.h.